Skip to main content
POST
/
custodians
/
me
/
clients
/
{clientId}
/
sessions
Create a client session token
curl --request POST \
  --url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isAccountAbstracted": false
}
'
{
  "id": "clientId",
  "clientSessionToken": "clientSessionToken",
  "isAccountAbstracted": false
}

Authorizations

Authorization
string
header
required

Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.

Path Parameters

clientId
string
required

The unique identifier of the client.

Body

application/json
isAccountAbstracted
boolean

Whether the client uses account abstraction.

Response

Session token created successfully

id
string

The client ID

clientSessionToken
string

The new client session token

isAccountAbstracted
boolean